summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <idella4@gentoo.org>2016-01-03 19:08:33 +0800
committerIan Delaney <idella4@gentoo.org>2016-01-03 19:40:05 +0800
commit9540e77a97772ab95b3bca7d538980b5a65d2180 (patch)
treee25ff9cc68218119cd6330835dd00af1582c0166 /media-gfx
parentdev-java/icedtea-bin: Allow usage of newer icedtea-web (diff)
downloadgentoo-9540e77a97772ab95b3bca7d538980b5a65d2180.tar.gz
gentoo-9540e77a97772ab95b3bca7d538980b5a65d2180.tar.bz2
gentoo-9540e77a97772ab95b3bca7d538980b5a65d2180.zip
media-gfx/dispcalgui: corrections to white soace issues in vn. 3.0.6.0
Also set to new proxy maintainer 'xayto' in metadata Closes the gentoo bug Gentoo bug: #559512 Package-Manager: portage-2.2.26
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/dispcalgui/dispcalgui-3.0.6.0.ebuild21
-rw-r--r--media-gfx/dispcalgui/metadata.xml11
2 files changed, 15 insertions, 17 deletions
diff --git a/media-gfx/dispcalgui/dispcalgui-3.0.6.0.ebuild b/media-gfx/dispcalgui/dispcalgui-3.0.6.0.ebuild
index 946362d18f0..854a19bea0a 100644
--- a/media-gfx/dispcalgui/dispcalgui-3.0.6.0.ebuild
+++ b/media-gfx/dispcalgui/dispcalgui-3.0.6.0.ebuild
@@ -37,22 +37,23 @@ DOCS=(
)
src_prepare() {
-# Prohibit setup from running xdg-* programs, resulting to sandbox violation
+ # Prohibit setup from running xdg-* programs, resulting to sandbox violation
cd "${S}/dispcalGUI" || die "Cannot cd to source directory."
sed -e 's/if which(\"xdg-icon-resource\"):/if which(\"xdg-icon-resource-non-existant\"):/' \
- -e 's/if which(\"xdg-desktop-menu\"):/if which(\"xdg-desktop-menu-non-existant\"):/' \
- -i postinstall.py || die "sed'ing out the xdg-* setup functions failed"
+ -e 's/if which(\"xdg-desktop-menu\"):/if which(\"xdg-desktop-menu-non-existant\"):/' \
+ -i postinstall.py || die "sed'ing out the xdg-* setup functions failed"
-# Remove deprecated Encoding key from .desktop file
+ # Remove deprecated Encoding key from .desktop file
cd "${S}" || die "Cannot cd to work directory."
for offendingFile in $(grep -r -l "Encoding=UTF-8" .); do
sed -e '/Encoding=UTF-8/d' -i "${offendingFile}" || \
die "removing deprecated Encoding key from .desktop files failed"
done
-# Remove x-world Media Type
- cd "${S}/misc" || die "Cannot cd to misc directory."
- sed -e 's/x\-world\/x\-vrml\;//g' -i "dispcalGUI-VRML-to-X3D-converter.desktop" || die "removing x-world media type failed"
+ # Remove x-world Media Type
+ cd "${S}/misc" || die "Cannot cd to misc directory."
+ sed -e 's/x\-world\/x\-vrml\;//g' -i "dispcalGUI-VRML-to-X3D-converter.desktop" \
+ || die "removing x-world media type failed"
distutils-r1_src_prepare
}
@@ -64,13 +65,15 @@ src_install() {
}
pkg_postinst() {
-# Run xdg-* programs the Gentoo way since we removed this functionality from the original package
+ # Run xdg-* programs the Gentoo way since we removed this
+ # functionality from the original package
fdo-mime_mime_database_update
fdo-mime_desktop_database_update
}
pkg_postrm() {
-# Run xdg-* programs the Gentoo way since we removed this functionality from the original package
+ # Run xdg-* programs the Gentoo way since we removed this
+ # functionality from the original package
fdo-mime_mime_database_update
fdo-mime_desktop_database_update
}
diff --git a/media-gfx/dispcalgui/metadata.xml b/media-gfx/dispcalgui/metadata.xml
index 3a8ed7223da..8d4a696bdca 100644
--- a/media-gfx/dispcalgui/metadata.xml
+++ b/media-gfx/dispcalgui/metadata.xml
@@ -3,14 +3,9 @@
<pkgmetadata>
<herd>proxy-maintainers</herd>
<maintainer>
- <email>opensource@andmarios.com</email>
- <name>Marios Andreopoulos</name>
- <description>Maintainer.</description>
- </maintainer>
- <maintainer>
- <email>hwoarang@gentoo.org</email>
- <name>Markos Chandras</name>
- <description>Proxy maintainer.</description>
+ <email>gentoo@xayto.net</email>
+ <name>Craig Inches</name>
+ <description>Proxied maintainer; set to assignee in all bugs</description>
</maintainer>
<longdescription lang="en">
</longdescription>